## r-cran-httr2 0.2.2

=== DESCRIPTION ===
Package: httr2
Title: Perform HTTP Requests and Process the Responses
Version: 0.2.2
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Tools for creating and modifying HTTP requests, then
    performing them and processing the results. 'httr2' is a modern
    re-imagining of 'httr' that uses a pipe-based interface and solves
    more of the problems that API wrapping packages face.
License: MIT + file LICENSE
URL: https://httr2.r-lib.org, https://github.com/r-lib/httr2
BugReports: https://github.com/r-lib/httr2/issues
Depends: R (>= 3.4)
Imports: cli (>= 3.0.0), curl, glue, magrittr, openssl, R6, rappdirs,
        rlang (>= 1.0.0), withr
Suggests: askpass, bench, clipr, covr, docopt, httpuv, jose, jsonlite,
        knitr, purrr, rmarkdown, testthat (>= 3.0.0), tibble, webfakes,
        xml2
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-09-25 15:13:37 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-09-25 17:50:03 UTC

=== debian/changelog ===
r-cran-httr2 (0.2.2-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 18:02:07 +0100

r-cran-httr2 (0.2.2-1) unstable; urgency=medium

  * Initial release (closes: #1028584)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 11:02:18 +0100

=== debian/control ===
Source: r-cran-httr2
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httr2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httr2.git
Homepage: https://cran.r-project.org/package=httr2
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli (>= 3.0.0),
               r-cran-curl,
               r-cran-glue,
               r-cran-magrittr,
               r-cran-openssl,
               r-cran-r6,
               r-cran-rappdirs,
               r-cran-rlang (>= 1.0.0),
               r-cran-withr
Testsuite: autopkgtest-pkg-r

Package: r-cran-httr2
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: perform HTTP requests and process the responses in GNU R
 Tools for creating and modifying HTTP requests, then
 performing them and processing the results. 'httr2' is a modern
 re-imagining of 'httr' that uses a pipe-based interface and solves
 more of the problems that API wrapping packages face.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-askpass,
         r-cran-bench,
         r-cran-clipr,
         r-cran-covr,
         r-cran-docopt,
         r-cran-httpuv,
#         r-cran-jose,
         r-cran-jsonlite,
         r-cran-knitr,
         r-cran-purrr,
         r-cran-rmarkdown,
         r-cran-testthat,
         r-cran-tibble,
         r-cran-webfakes,
         r-cran-xml2
Restrictions: allow-stderr

## r-cran-httr2 0.2.3

=== debian/changelog ===
r-cran-httr2 (0.2.3-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 21:42:05 +0200

## r-cran-httr2 1.0.0

=== DESCRIPTION ===
Package: httr2
Title: Perform HTTP Requests and Process the Responses
Version: 1.0.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd")),
    person("Maximilian", "Girlich", role = "ctb")
  )
Description: Tools for creating and modifying HTTP requests, then
    performing them and processing the results. 'httr2' is a modern
    re-imagining of 'httr' that uses a pipe-based interface and solves
    more of the problems that API wrapping packages face.
License: MIT + file LICENSE
URL: https://httr2.r-lib.org, https://github.com/r-lib/httr2
BugReports: https://github.com/r-lib/httr2/issues
Depends: R (>= 3.6)
Imports: cli (>= 3.0.0), curl (>= 5.1.0), glue, lifecycle, magrittr,
        openssl, R6, rappdirs, rlang (>= 1.1.0), vctrs (>= 0.6.3),
        withr
Suggests: askpass, bench, clipr, covr, docopt, httpuv, jose, jsonlite,
        knitr, rmarkdown, testthat (>= 3.1.8), tibble, webfakes, xml2
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-11-13 16:55:37 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd],
  Maximilian Girlich [ctb]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2023-11-14 13:53:23 UTC

=== debian/changelog ===
r-cran-httr2 (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2023 14:08:48 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,15 @@
                dh-r,
                r-base-dev,
                r-cran-cli (>= 3.0.0),
-               r-cran-curl,
+               r-cran-curl (>= 5.1.0),
                r-cran-glue,
+               r-cran-lifecycle,
                r-cran-magrittr,
                r-cran-openssl,
                r-cran-r6,
                r-cran-rappdirs,
-               r-cran-rlang (>= 1.0.0),
+               r-cran-rlang (>= 1.1.0),
+               r-cran-vctrs (>= 0.6.3),
                r-cran-withr
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-askpass,
        r-cran-bench,
        r-cran-clipr,
        r-cran-covr,
        r-cran-docopt,
        r-cran-httpuv,
        r-cran-jsonlite,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.1.8),
        r-cran-tibble,
        r-cran-webfakes,
        r-cran-xml2
Restrictions: allow-stderr

## r-cran-httr2 1.0.1

=== debian/changelog ===
r-cran-httr2 (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 08 May 2024 08:26:36 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httr2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httr2.git
 Homepage: https://cran.r-project.org/package=httr2
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-httr2 1.0.2

=== DESCRIPTION ===
Package: httr2
Title: Perform HTTP Requests and Process the Responses
Version: 1.0.2
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd")),
    person("Maximilian", "Girlich", role = "ctb")
  )
Description: Tools for creating and modifying HTTP requests, then
    performing them and processing the results. 'httr2' is a modern
    re-imagining of 'httr' that uses a pipe-based interface and solves
    more of the problems that API wrapping packages face.
License: MIT + file LICENSE
URL: https://httr2.r-lib.org, https://github.com/r-lib/httr2
BugReports: https://github.com/r-lib/httr2/issues
Depends: R (>= 4.0)
Imports: cli (>= 3.0.0), curl (>= 5.1.0), glue, lifecycle, magrittr,
        openssl, R6, rappdirs, rlang (>= 1.1.0), vctrs (>= 0.6.3),
        withr
Suggests: askpass, bench, clipr, covr, docopt, httpuv, jose, jsonlite,
        knitr, rmarkdown, testthat (>= 3.1.8), tibble, webfakes, xml2
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/parallel: true
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-07-15 20:48:57 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Posit Software, PBC [cph, fnd],
  Maximilian Girlich [ctb]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2024-07-16 09:30:02 UTC

=== debian/changelog ===
r-cran-httr2 (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Jul 2024 13:26:49 +0900

## r-cran-httr2 1.0.5

=== debian/changelog ===
r-cran-httr2 (1.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Oct 2024 09:54:26 +0900

r-cran-httr2 (1.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 18 Sep 2024 10:49:49 +0900

r-cran-httr2 (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 09 Sep 2024 08:45:15 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-r,
                r-base-dev,
                r-cran-cli (>= 3.0.0),
-               r-cran-curl (>= 5.1.0),
+               r-cran-curl (>= 5.2.2),
                r-cran-glue,
                r-cran-lifecycle,
                r-cran-magrittr,

=== debian/tests/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
         r-cran-httpuv,
         r-cran-jsonlite,
         r-cran-knitr,
+        r-cran-later,
+        r-cran-promises,
         r-cran-rmarkdown,
         r-cran-testthat (>= 3.1.8),
         r-cran-tibble,

## r-cran-httr2 1.1.0

=== debian/changelog ===
r-cran-httr2 (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 19 Jan 2025 19:39:14 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-r,
                r-base-dev,
                r-cran-cli (>= 3.0.0),
-               r-cran-curl (>= 5.2.2),
+               r-cran-curl (>= 6.1.0),
                r-cran-glue,
                r-cran-lifecycle,
                r-cran-magrittr,

## r-cran-httr2 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: httr2
 Title: Perform HTTP Requests and Process the Responses
-Version: 1.0.2
+Version: 1.1.1
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
     person("Posit Software, PBC", role = c("cph", "fnd")),
@@ -14,22 +14,24 @@
 URL: https://httr2.r-lib.org, https://github.com/r-lib/httr2
 BugReports: https://github.com/r-lib/httr2/issues
 Depends: R (>= 4.0)
-Imports: cli (>= 3.0.0), curl (>= 5.1.0), glue, lifecycle, magrittr,
+Imports: cli (>= 3.0.0), curl (>= 6.2.1), glue, lifecycle, magrittr,
         openssl, R6, rappdirs, rlang (>= 1.1.0), vctrs (>= 0.6.3),
         withr
 Suggests: askpass, bench, clipr, covr, docopt, httpuv, jose, jsonlite,
-        knitr, rmarkdown, testthat (>= 3.1.8), tibble, webfakes, xml2
+        knitr, later (>= 1.4.0), paws.common, promises, rmarkdown,
+        testthat (>= 3.1.8), tibble, webfakes, xml2
 VignetteBuilder: knitr
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Config/testthat/parallel: true
+Config/testthat/start-first: multi-req, resp-stream, req-perform
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-07-15 20:48:57 UTC; hadleywickham
+Packaged: 2025-03-05 14:50:50 UTC; hadleywickham
 Author: Hadley Wickham [aut, cre],
   Posit Software, PBC [cph, fnd],
   Maximilian Girlich [ctb]
 Maintainer: Hadley Wickham <hadley@posit.co>
 Repository: CRAN
-Date/Publication: 2024-07-16 09:30:02 UTC
+Date/Publication: 2025-03-08 07:10:02 UTC

=== debian/changelog ===
r-cran-httr2 (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Tests: increase timeouts to pass on slow runners (closes: #1104495)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Sep 2025 13:37:15 +0100

r-cran-httr2 (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 12 Mar 2025 09:58:18 +0900

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httr2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httr2.git
 Homepage: https://cran.r-project.org/package=httr2
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-cli (>= 3.0.0),
-               r-cran-curl (>= 6.1.0),
+               r-cran-curl (>= 6.2.1),
                r-cran-glue,
                r-cran-lifecycle,
                r-cran-magrittr,

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
         r-cran-httpuv,
         r-cran-jsonlite,
         r-cran-knitr,
-        r-cran-later,
+        r-cran-later (>= 1.4.0),
         r-cran-promises,
         r-cran-rmarkdown,
         r-cran-testthat (>= 3.1.8),

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/httr2_([-\d.]*)\.tar\.gz

## r-cran-httr2 1.2.2

=== DESCRIPTION ===
Package: httr2
Title: Perform HTTP Requests and Process the Responses
Version: 1.2.2
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd")),
    person("Maximilian", "Girlich", role = "ctb")
  )
Description: Tools for creating and modifying HTTP requests, then
    performing them and processing the results. 'httr2' is a modern
    re-imagining of 'httr' that uses a pipe-based interface and solves
    more of the problems that API wrapping packages face.
License: MIT + file LICENSE
URL: https://httr2.r-lib.org, https://github.com/r-lib/httr2
BugReports: https://github.com/r-lib/httr2/issues
Depends: R (>= 4.1)
Imports: cli (>= 3.0.0), curl (>= 6.4.0), glue, lifecycle, magrittr,
        openssl, R6, rappdirs, rlang (>= 1.1.0), vctrs (>= 0.6.3),
        withr
Suggests: askpass, bench, clipr, covr, docopt, httpuv, jose, jsonlite,
        knitr, later (>= 1.4.0), nanonext, otel (>= 0.2.0), otelsdk (>=
        0.2.0), paws.common (>= 0.8.0), promises, rmarkdown, testthat
        (>= 3.1.8), tibble, webfakes (>= 1.4.0), xml2
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: resp-stream, req-perform
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2025-12-05 17:46:06 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Posit Software, PBC [cph, fnd],
  Maximilian Girlich [ctb]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2025-12-08 09:50:02 UTC

=== debian/changelog ===
r-cran-httr2 (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Refresh patches
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Feb 2026 20:34:05 +0900

=== debian/control ===
Source: r-cran-httr2
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-curl (>= 6.4.0),
 r-cran-glue,
 r-cran-lifecycle,
 r-cran-magrittr,
 r-cran-openssl,
 r-cran-r6,
 r-cran-rappdirs,
 r-cran-rlang (>= 1.1.0),
 r-cran-vctrs (>= 0.6.3),
 r-cran-withr,
 r-cran-curl (>= 6.2.1),
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-httr2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-httr2.git
Homepage: https://cran.r-project.org/package=httr2
Rules-Requires-Root: no

Package: r-cran-httr2
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: perform HTTP requests and process the responses in GNU R
 Tools for creating and modifying HTTP requests, then
 performing them and processing the results. 'httr2' is a modern
 re-imagining of 'httr' that uses a pipe-based interface and solves
 more of the problems that API wrapping packages face.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-askpass,
 r-cran-bench,
 r-cran-clipr,
 r-cran-covr,
 r-cran-docopt,
 r-cran-httpuv,
 r-cran-jsonlite,
 r-cran-knitr,
 r-cran-later (>= 1.4.0),
 r-cran-promises,
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.1.8),
 r-cran-tibble,
 r-cran-webfakes (>= 1.4.0),
 r-cran-xml2,
